<?php
/**
 *   挖掘线索
 *  @author  system
 *  @version    1.0
 *  @date 2018-11-19 08:23:08
 *
 */
namespace App\Repositories\Company;

use App\Repositories\Base\Repository;


class InfoRepository extends Repository {

    public function model() {
        return \App\Models\CompanyInfoModel::class;
    }

    public function searchCompany(array $search,array $orderby=['id'=>'desc'],$pagesize=10)
    {
        $currentQuery = $this->model;
        if(isset($search['keyword']) && ! empty($search['keyword'])) {
            $keywords = '%' . $search['keyword'] . '%';
            $currentQuery = $currentQuery->where(function ($query) use ($keywords) {
                $query->where('companyName'  , 'like', $keywords);
            });
        }

        if(isset($search['district']) && ! empty($search['district'])) {
            $currentQuery = $currentQuery->where(function ($query) use ($search) {
                $query->where('district','like', '%'.$search['district'].'%');
            });
        }

        if(isset($search['entType']) && ! empty($search['entType'])) {
            $currentQuery = $currentQuery->where(function ($query) use ($search) {
                $query->where('entType',$search['entType']);
            });
        }

        if(isset($search['openStatus']) && ! empty($search['openStatus'])) {
            $currentQuery = $currentQuery->where(function ($query) use ($search) {
                $query->where('openStatus',$search['openStatus']);
            });
        }
        if(isset($search['industry']) && ! empty($search['industry'])) {
            $currentQuery = $currentQuery->where(function ($query) use ($search) {
                $query->where('industry','like','%'.$search['industry'].'%');
            });
        }


        if($orderby && is_array($orderby)){
            foreach ($orderby AS $field => $value){
                $currentQuery = $currentQuery->orderBy($field, $value);
            }
        }
        $currentQuery = $currentQuery->paginate($pagesize);
        return $currentQuery;
    }
    
}
